var APIBase = require("../../api.base");
var system = require("../../../system");

class TestAPI extends APIBase {
    constructor() {
        super();
        this.enginesignSve = system.getObject("service.engine.enginesignSve");
    }

    async test(pobj, query, req) {
        return await this.enginesignSve.createAccount(pobj);
    }

    exam() {
        return "";
    }

    classDesc() {
        return {
            groupName: "",
            groupDesc: "",
            name: "",
            desc: "",
            exam: "",
        };
    }

    methodDescs() {
        return [
            {
                methodDesc: "",
                methodName: "",
                paramdescs: [
                    {
                        paramDesc: "",
                        paramName: "",
                        paramType: "",
                        defaultValue: "",
                    }
                ],
                rtnTypeDesc: "",
                rtnType: ""
            }
        ];
    }
}

module.exports = TestAPI;
